# Gimp.Choice.add

    @accepts(Gimp.Choice, unicode, int, unicode, unicode)
    @returns(none)
    def add(self, nick, id, label, help):
        # Python wrapper for gimp_choice_add()

This procedure adds a new possible value to self list of values. The id is an optional integer identifier. This can be useful for instance when you want to work with different enum values mapped to each nick.

Since 3.0

self

  the %GimpChoice.

nick

  the nick of self.

id

  optional integer ID for nick.

label

  the label of self.

help

  optional longer help text for nick.